%define buildglade %(pkg-config libglade-2.0 && echo 1 || echo 0)

Summary: Python bindings for the GTK+ widget set.
Name: pygtk2
Version: 2.4.0
Release: 1
Copyright: LGPL
Group: Development/Languages
Source: ftp://ftp.gtk.org/pub/gtk/python/pygtk-%{version}.tar.bz2
Source2: acinclude.m4
BuildRoot: %{_tmppath}/pygtk-root
Requires: gtk2 >= 2.4.0
Requires: python2 >= 2.3
Buildrequires: python2-devel >= 2.3
Buildrequires: libglade2-devel
Buildrequires: gtk2-devel >= 2.4
# needed for automake/autoconf to work right with multilib python
Buildrequires: automake >= 1.6.3-5

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all the benefits of python.

%package libglade
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/Languages
Requires: pygtk2 = %{version}

%description libglade
This module contains a wrapper for the libglade library.  Libglade allows
a program to construct its user interface from an XML description, which
allows the programmer to keep the UI and program logic separate.

%package devel
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Development/Languages
Requires: pygtk2 = %{version}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%prep
%setup -q -n pygtk-%{version}

%build
#[ -x /usr/bin/python2.2 ] && export PYTHON=/usr/bin/python2.2
cp %SOURCE2 .
aclocal && automake && autoconf
%configure --enable-thread --enable-numpy
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

%files
%defattr(644, root, root, 755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gtk
%{_libdir}/python?.?/site-packages/gtk-2.0/gtk/*.py*
%{_libdir}/python?.?/site-packages/gtk-2.0/dsextras.py*

%defattr(755, root, root, 755)
%{_libdir}/python?.?/site-packages/pygtk*
%{_libdir}/python?.?/site-packages/gtk-2.0/atk.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gobject.so
%{_libdir}/python?.?/site-packages/gtk-2.0/pango.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gtk/_gtk.so

%doc AUTHORS NEWS README MAPPING ChangeLog
%doc examples

%if %{buildglade}
%files libglade
%defattr(755, root, root, 755)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtk/glade.so
%endif

%files devel
%defattr(755, root, root, 755)
%{_prefix}/bin/pygtk-codegen-2.0
%defattr(644, root, root, 755)
%dir %{_prefix}/include/pygtk-2.0
%{_prefix}/include/pygtk-2.0/*.h
%dir %{_prefix}/include/pygtk-2.0/pygtk
%{_prefix}/include/pygtk-2.0/pygtk/*.h
%{_libdir}/pkgconfig/pygtk-2.0.pc
%dir %{_prefix}/share/pygtk
%dir %{_prefix}/share/pygtk/2.0
%dir %{_prefix}/share/pygtk/2.0/codegen
%dir %{_prefix}/share/pygtk/2.0/defs
%{_prefix}/share/pygtk/2.0/codegen/*
%{_prefix}/share/pygtk/2.0/defs/*.defs

%changelog
* Mon Oct  4 2004 GNOME <jrb@redhat.com> - 2.4.0-1
- new version

* Tue Aug 10 2004 Jonathan Blandford <jrb@redhat.com> 2.3.96-2
- cleaner lib64 patch

* Tue Aug 10 2004 Jonathan Blandford <jrb@redhat.com> 2.3.96-1
- move pythondir into /usr/lib64/

* Mon Aug  9 2004 Jonathan Blandford <jrb@redhat.com> 2.3.96-1
- new version

* Tue Aug  3 2004 Jeremy Katz <katzj@redhat.com> - 2.3.95-1
- update to 2.3.95

* Thu Jun 17 2004 Jeremy Katz <katzj@redhat.com> - 2.3.92-1
- update to 2.3.92

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Mar 11 2004 Jeremy Katz <katzj@redhat.com> - 2.2.0-1
- 2.2.0

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> 2.2.0-0.rc1
- 2.2.0 RC1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 2.0.0-5
- GtkTextSearchFlags is flags, not enum (#114910)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Jeremy Katz <katzj@redhat.com> - 2.0.0-3
- own %%{_libdir}/python?.?/site-packages/gtk-2.0/gtk dir (#113048)

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-2
- rebuild for python 2.3

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-1
- 2.0.0

* Thu Aug 14 2003 Elliot Lee <sopwith@redhat.com> 1.99.17-1
- Update to latest version
- Module filenames changed from foomodule.so to foo.so

* Thu Aug  7 2003 Elliot Lee <sopwith@redhat.com> 1.99.16-10
- Fix libtool

* Fri Jul 18 2003 Jeremy Katz <katzj@redhat.com> 1.99.16-8
- part of the fixnew patch wasn't applied upstream, apply it (#99400)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Jonathan Blandford <jrb@redhat.com> 1.99.16-5
- Update compat patch to include gtk_text_buffer_set_text

* Tue May 27 2003 Matt Wilson <msw@redhat.com> 1.99.16-4
- don't require the deprecated length parameter

* Fri May 23 2003 Matt Wilson <msw@redhat.com> 1.99.16-3
- add compatibility for deprecated length field in GtkTextBuffer
  insert methods (#91519)

* Thu May 22 2003 Matt Wilson <msw@redhat.com> 1.99.16-2
- apply atom_intern patch again (#91349)

* Tue May 20 2003 Matt Wilson <msw@redhat.com> 1.99.16-1
- added a compatibility function for gtk.gdk.gc_new() so we won't have
  to fix all our code quite yet

* Mon May 19 2003 Matt Wilson <msw@redhat.com> 1.99.16-1
- enable threads (#83539, #87872)

* Fri Apr 11 2003 Jonathan Blandford <jrb@redhat.com> 1.99.16-1
- new version

* Thu Mar 13 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-7
- and again

* Thu Mar 13 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-6
- rebuild in new environment

* Wed Mar  5 2003 Thomas Woerner <twoerner@redhat.com> 1.99.14-5
- fixed new functions for ListStore, TreeStrore and ProgressBar

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 1.99.14-4
- rebuild to use the UCS4-enabled python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-3
- rerun auto* to use new python.m4 and work properly with multilib python
- libdir-ize

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.14-1
- bump version to 1.99.14
- add patch to up the ref on gtkInvisible instantiation (#80283)

* Thu Dec 12 2002 Jonathan Blandford <jrb@redhat.com>
- bump version to 1.99.13
- backport gdk.Pixbuf.save

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- rebuild for multilib
- use %%configure

* Fri Aug 30 2002 Matt Wilson <msw@redhat.com>
- fix pixbuf leaks (#72137)
- five more pixbuf leaks plugged

* Wed Aug 28 2002 Jonathan Blandford <jrb@redhat.com>
- remover Packager tag

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- add binding for gdk_atom_intern

* Mon Jul 29 2002 Matt Wilson <msw@redhat.com>
- 0.99.12

* Wed Jul 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Thu Jun 27 2002 Tim Waugh <twaugh@redhat.com>
- Fix bug #65770.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com>
- 1.99.10

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- 1.99.8

* Mon Jan 28 2002 Matt Wilson <msw@redhat.com>
- added atkmodule.so to file list

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- fix devel filelist to match new header location

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- get the headers from their new version-specific location

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com>
- fixed typo in devel filelist
- added macro that tests to see if we have libglade2, make the
  filelist a condition of that
- changed name to 'pygtk2' to avoid name conflict with pygtk

